Given a geojson of spaces on a floor, this endpoint would return the predicted number of people in attendance at which point a meaningful number of people would be unable to find a space to work.
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
This endpoint requires Predict API access. Contact VergeSense to discuss availability for your organization.
Request Body
The supplied input is expected to be valid GeoJSON. At the top level there is expected to be either a "shortage_pct" or a "person_count" attribute:
- shortage_pct (float, optional, default:
0.05, range:0.0to1.0): Shortage percentage at which that percentage of your workforce is expected to not be able to find a seat. - person_count (int, optional): Person count used to determine the percentage of your workforce expected to not be able to find a seat at that count.
Within the GeoJSON specification this type of attribute is considered a "foreign member".
If neither attribute is provided, a shortage_pct of 0.05 will be used. If both are provided, an error will be returned.
See the Predict API GeoJSON section for more information regarding the input expectations.
Response
The response will conform to the JSON API spec. The top-level keys will be "data" and "meta".
"data" will contain a single "shortage_prediction" object with the following attributes:
- person_count (int): Either the person count supplied via the
"person_count"input parameter, or the person count at which the model expects the"shortage_pct"criteria (default5%) to be met, with that percentage of people expected to not be able to find a place to work. - pct_unseated (float): The percentage of people in attendance that cannot find a space to work.
- unseated (object): Contains the 4 normalized space type keys, where each value represents the number of people that wanted to use a space of that type but were unable to.
- label (string): A succinct, human-readable label.
- description (string): A human-readable description of the shortage point.
- total_capacity (int): The sum of the capacities of all spaces on the floor.
200
